Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.excelinput
Class ExcelInputField

    java.lang.Object
      org.pentaho.di.trans.steps.excelinput.ExcelInputField

All Implemented Interfaces:
  Cloneable

    public class ExcelInputField

extends Object
implements Cloneable

Describes a single field in an excel file

Since:
  12-04-2006
Author:
  Matt

Constructor Summary
`ExcelInputField()`
`ExcelInputField(String fieldname, int position, int length)`

Method Summary
`Object` | `clone()`
`void` | `flipRepeated()`
`String` | `getCurrencySymbol()`
`String` | `getDecimalSymbol()`
`String` | `getFormat()`
`String` | `getGroupSymbol()`
`int` | `getLength()`
`String` | `getName()`
`int` | `getPrecision()`
`int` | `getTrimType()`
`String` | `getTrimTypeCode()`
`String` | `getTrimTypeDesc()`
`int` | `getType()`
`String` | `getTypeDesc()`
`boolean` | `isRepeated()`
`void` | `setCurrencySymbol(String currency_symbol)`
`void` | `setDecimalSymbol(String decimal_symbol)`
`void` | `setFormat(String format)`
`void` | `setGroupSymbol(String group_symbol)`
`void` | `setLength(int length)`
`void` | `setName(String fieldname)`
`void` | `setPrecision(int precision)`
`void` | `setRepeated(boolean repeat)`
`void` | `setTrimType(int trimtype)`
`void` | `setType(int type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExcelInputField

    public ExcelInputField(String fieldname,
                           int position,
                           int length)

### ExcelInputField

    public ExcelInputField()

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getLength

    public int getLength()

### setLength

    public void setLength(int length)

### getName

    public String getName()

### setName

    public void setName(String fieldname)

### getType

    public int getType()

### getTypeDesc

    public String getTypeDesc()

### setType

    public void setType(int type)

### getFormat

    public String getFormat()

### setFormat

    public void setFormat(String format)

### getTrimType

    public int getTrimType()

### getTrimTypeCode

    public String getTrimTypeCode()

### getTrimTypeDesc

    public String getTrimTypeDesc()

### setTrimType

    public void setTrimType(int trimtype)

### getGroupSymbol

    public String getGroupSymbol()

### setGroupSymbol

    public void setGroupSymbol(String group_symbol)

### getDecimalSymbol

    public String getDecimalSymbol()

### setDecimalSymbol

    public void setDecimalSymbol(String decimal_symbol)

### getCurrencySymbol

    public String getCurrencySymbol()

### setCurrencySymbol

    public void setCurrencySymbol(String currency_symbol)

### getPrecision

    public int getPrecision()

### setPrecision

    public void setPrecision(int precision)

### isRepeated

    public boolean isRepeated()

### setRepeated

    public void setRepeated(boolean repeat)

### flipRepeated

    public void flipRepeated()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD